zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rakesh Radhakrishnan <rake...@apache.org>
Subject ZooKeeper Build failure - Unsupported major.minor version 52.0
Date Thu, 16 Feb 2017 03:29:56 GMT
Hi All,

I've created an https://issues.apache.org/jira/browse/INFRA-13526 jira to
understand more about the failure. From the discussion it looks like, Ant
(latest) link was changed a few days ago to point to new Ant release 1.10.1
and this version of ant requires Java8.

So the possible fix is, either change the build to use Ant release 1.10.1
or change to use Ant 1.9.9 or less. Since ZK supports Java release 1.7 or
greater, I think changing to use Ant 1.9.9 or less which supports Java7 is
preferable.

Could someone familiar with the Jenkins build explains me the way to do
this Ant version changes. Thanks!

Thanks,
Rakesh

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message